#!/bin/bash

. _lib.sh

t() {
    find -L /usr/src/linux -type f -exec cat '{}' ';'|ssh root@${SSH_CONNECTION%% *} 'cat > /dev/null' &
    PID_LOAD=$!
    PID_S=`vca_canping -s 1 -b -R FF:$RTPRIO -d $CAN1`
    vca_canping -m 1 -R FF:$RTPRIO -v -g $DRIVER -t 1 -d $CAN0 -w 0 -c $COUNT
    kill $PID_S
    kill %%  # Kill the whole pipe above
}



PLOT_CMD='
set title "Round-trip time with send ethernet load"
set logscale y
set grid
set xlabel "Time [{/Symbol m}s]"
set ylabel "Latency profile [messages]"
plot [0:] "socketcan-1000.dat" with lp title "Socketcan",\
          "lincan-1000.dat" with lp title "Lincan"
'

